## dracut 044+241

=== Makefile ===
-include dracut-version.sh

VERSION ?= $(shell [ -d .git ] && git describe --abbrev=0 --tags 2>/dev/null || echo $(DRACUT_VERSION))
GITVERSION ?= $(shell [ -d .git ] && { v=$$(git describe --tags 2>/dev/null); [ -n "$$v" ] && [ $${v\#*-} != $$v ] && echo -$${v\#*-}; } )

-include Makefile.inc

prefix ?= /usr
libdir ?= ${prefix}/lib
datadir ?= ${prefix}/share
pkglibdir ?= ${libdir}/dracut
sysconfdir ?= ${prefix}/etc
bindir ?= ${prefix}/bin
mandir ?= ${prefix}/share/man
CFLAGS ?= -O2 -g -Wall $(KMOD_CFLAGS)
CFLAGS += -std=gnu99 -D_FILE_OFFSET_BITS=64 -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
bashcompletiondir ?= ${datadir}/bash-completion/completions
pkgconfigdatadir ?= $(datadir)/pkgconfig

man1pages = lsinitrd.1

man5pages = dracut.conf.5

man7pages = dracut.cmdline.7 \
            dracut.bootup.7 \
            dracut.modules.7

man8pages = dracut.8 \
            dracut-catimages.8 \
            mkinitrd.8 \
            mkinitrd-suse.8 \
            modules.d/98dracut-systemd/dracut-cmdline.service.8 \
            modules.d/98dracut-systemd/dracut-initqueue.service.8 \
            modules.d/98dracut-systemd/dracut-mount.service.8 \
            modules.d/98dracut-systemd/dracut-shutdown.service.8 \
            modules.d/98dracut-systemd/dracut-pre-mount.service.8 \
            modules.d/98dracut-systemd/dracut-pre-pivot.service.8 \
            modules.d/98dracut-systemd/dracut-pre-trigger.service.8 \
            modules.d/98dracut-systemd/dracut-pre-udev.service.8

manpages = $(man1pages) $(man5pages) $(man7pages) $(man8pages)

.PHONY: install clean archive rpm testimage test all check AUTHORS doc dracut-version.sh

all: dracut-version.sh dracut.pc dracut-install skipcpio/skipcpio

DRACUT_INSTALL_OBJECTS = \
        install/dracut-install.o \
        install/hashmap.o\
        install/log.o \
        install/strv.o \
        install/util.o

# deps generated with gcc -MM
install/dracut-install.o: install/dracut-install.c install/log.h install/macro.h \
	install/hashmap.h install/util.h
install/hashmap.o: install/hashmap.c install/util.h install/macro.h install/log.h \
	install/hashmap.h
install/log.o: install/log.c install/log.h install/macro.h install/util.h
install/util.o: install/util.c install/util.h install/macro.h install/log.h
install/strv.o: install/strv.c install/strv.h install/util.h install/macro.h install/log.h

install/dracut-install: $(DRACUT_INSTALL_OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $(DRACUT_INSTALL_OBJECTS) $(LDLIBS) $(KMOD_LIBS)

dracut-install: install/dracut-install
	ln -fs $< $@

SKIPCPIO_OBJECTS= \
	skipcpio/skipcpio.o

skipcpio/skipcpio.o: skipcpio/skipcpio.c
skipcpio/skipcpio: skipcpio/skipcpio.o

indent:
	indent -i8 -nut -br -linux -l120 install/dracut-install.c
	indent -i8 -nut -br -linux -l120 skipcpio/skipcpio.c

doc: $(manpages) dracut.html

ifneq ($(enable_documentation),no)
all: doc
endif

%: %.xml
	@rm -f -- "$@"
	xsltproc -o "$@" -nonet http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<

%.xml: %.asc
	@rm -f -- "$@"
	asciidoc -d manpage -b docbook -o "$@" $<

dracut.8: dracut.usage.asc dracut.8.asc

dracut.html: dracut.asc $(manpages) dracut.css dracut.usage.asc
	@rm -f -- dracut.xml
	asciidoc -a numbered -d book -b docbook -o dracut.xml dracut.asc
	@rm -f -- dracut.html
	xsltproc -o dracut.html --xinclude -nonet \
		--stringparam custom.css.source dracut.css \
		--stringparam generate.css.header 1 \
		http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl dracut.xml
	@rm -f -- dracut.xml

dracut.pc: Makefile.inc Makefile
	@echo "Name: dracut" > dracut.pc
	@echo "Description: dracut" >> dracut.pc
	@echo "Version: $(VERSION)$(GITVERSION)" >> dracut.pc
	@echo "dracutdir=$(pkglibdir)" >> dracut.pc
	@echo "dracutmodulesdir=$(pkglibdir)/modules.d" >> dracut.pc
	@echo "dracutconfdir=$(pkglibdir)/dracut.conf.d" >> dracut.pc

install: all
	mkdir -p $(DESTDIR)$(pkglibdir)
	mkdir -p $(DESTDIR)$(bindir)
	mkdir -p $(DESTDIR)$(sysconfdir)
	mkdir -p $(DESTDIR)$(pkglibdir)/modules.d
	mkdir -p $(DESTDIR)$(mandir)/man1 $(DESTDIR)$(mandir)/man5 $(DESTDIR)$(mandir)/man7 $(DESTDIR)$(mandir)/man8
	install -m 0755 dracut.sh $(DESTDIR)$(bindir)/dracut
	install -m 0755 dracut-catimages.sh $(DESTDIR)$(bindir)/dracut-catimages
	install -m 0755 mkinitrd-dracut.sh $(DESTDIR)$(bindir)/mkinitrd
	install -m 0755 lsinitrd.sh $(DESTDIR)$(bindir)/lsinitrd
	install -m 0644 dracut.conf $(DESTDIR)$(sysconfdir)/dracut.conf
	mkdir -p $(DESTDIR)$(sysconfdir)/dracut.conf.d
	mkdir -p $(DESTDIR)$(pkglibdir)/dracut.conf.d
	install -m 0755 dracut-init.sh $(DESTDIR)$(pkglibdir)/dracut-init.sh
	install -m 0755 dracut-functions.sh $(DESTDIR)$(pkglibdir)/dracut-functions.sh
	install -m 0755 dracut-version.sh $(DESTDIR)$(pkglibdir)/dracut-version.sh
	ln -fs dracut-functions.sh $(DESTDIR)$(pkglibdir)/dracut-functions
	install -m 0755 dracut-logger.sh $(DESTDIR)$(pkglibdir)/dracut-logger.sh
	install -m 0755 dracut-initramfs-restore.sh $(DESTDIR)$(pkglibdir)/dracut-initramfs-restore
	cp -arx modules.d $(DESTDIR)$(pkglibdir)
ifneq ($(enable_documentation),no)
	for i in $(man1pages); do install -m 0644 $$i $(DESTDIR)$(mandir)/man1/$${i##*/}; done
	for i in $(man5pages); do install -m 0644 $$i $(DESTDIR)$(mandir)/man5/$${i##*/}; done
	for i in $(man7pages); do install -m 0644 $$i $(DESTDIR)$(mandir)/man7/$${i##*/}; done
	for i in $(man8pages); do install -m 0644 $$i $(DESTDIR)$(mandir)/man8/$${i##*/}; done
	ln -fs dracut.cmdline.7 $(DESTDIR)$(mandir)/man7/dracut.kernel.7
endif
	if [ -n "$(systemdsystemunitdir)" ]; then \
		mkdir -p $(DESTDIR)$(systemdsystemunitdir); \
		ln -srf $(DESTDIR)$(pkglibdir)/modules.d/98dracut-systemd/dracut-shutdown.service $(DESTDIR)$(systemdsystemunitdir)/dracut-shutdown.service; \
		mkdir -p $(DESTDIR)$(systemdsystemunitdir)/sysinit.target.wants; \
		ln -s ../dracut-shutdown.service \
		$(DESTDIR)$(systemdsystemunitdir)/sysinit.target.wants/dracut-shutdown.service; \
		mkdir -p $(DESTDIR)$(systemdsystemunitdir)/initrd.target.wants; \
		for i in \
		    dracut-cmdline.service \
		    dracut-initqueue.service \
		    dracut-mount.service \
		    dracut-pre-mount.service \
		    dracut-pre-pivot.service \
		    dracut-pre-trigger.service \
		    dracut-pre-udev.service \
		    ; do \
			ln -srf $(DESTDIR)$(pkglibdir)/modules.d/98dracut-systemd/$$i $(DESTDIR)$(systemdsystemunitdir); \
			ln -s ../$$i \
			$(DESTDIR)$(systemdsystemunitdir)/initrd.target.wants/$$i; \
		done \
	fi
	if [ -f install/dracut-install ]; then \
		install -m 0755 install/dracut-install $(DESTDIR)$(pkglibdir)/dracut-install; \
	fi
	if [ -f skipcpio/skipcpio ]; then \
		install -m 0755 skipcpio/skipcpio $(DESTDIR)$(pkglibdir)/skipcpio; \
	fi
	mkdir -p $(DESTDIR)${prefix}/lib/kernel/install.d
	install -m 0755 50-dracut.install $(DESTDIR)${prefix}/lib/kernel/install.d/50-dracut.install
	install -m 0755 51-dracut-rescue.install $(DESTDIR)${prefix}/lib/kernel/install.d/51-dracut-rescue.install
	mkdir -p $(DESTDIR)${bashcompletiondir}
	install -m 0644 dracut-bash-completion.sh $(DESTDIR)${bashcompletiondir}/dracut
	install -m 0644 lsinitrd-bash-completion.sh $(DESTDIR)${bashcompletiondir}/lsinitrd
	mkdir -p $(DESTDIR)${pkgconfigdatadir}
	install -m 0644 dracut.pc $(DESTDIR)${pkgconfigdatadir}/dracut.pc

dracut-version.sh:
	@rm -f dracut-version.sh
	@echo "DRACUT_VERSION=$(VERSION)$(GITVERSION)" > dracut-version.sh

clean:
	$(RM) *~
	$(RM) */*~
	$(RM) */*/*~
	$(RM) $(manpages:%=%.xml) dracut.xml
	$(RM) test-*.img
	$(RM) dracut-*.rpm dracut-*.tar.bz2 dracut-*.tar.xz
	$(RM) dracut-version.sh
	$(RM) dracut-install install/dracut-install $(DRACUT_INSTALL_OBJECTS)
	$(RM) skipcpio/skipcpio $(SKIPCPIO_OBJECTS)
	$(RM) $(manpages) dracut.html
	$(MAKE) -C test clean

dist: dracut-$(VERSION).tar.xz

dracut-$(VERSION).tar.xz: doc syncheck
	@echo "DRACUT_VERSION=$(VERSION)" > dracut-version.sh
	git archive --format=tar $(VERSION) --prefix=dracut-$(VERSION)/ > dracut-$(VERSION).tar
	mkdir -p dracut-$(VERSION)
	for i in $(manpages) dracut.html dracut-version.sh; do [ "$${i%/*}" != "$$i" ] && mkdir -p "dracut-$(VERSION)/$${i%/*}"; cp "$$i" "dracut-$(VERSION)/$$i"; done
	tar --owner=root --group=root -rf dracut-$(VERSION).tar $$(find dracut-$(VERSION) -type f)
	rm -fr -- dracut-$(VERSION).tar.xz dracut-$(VERSION)
	xz -9 dracut-$(VERSION).tar
	rm -f -- dracut-$(VERSION).tar

rpm: dracut-$(VERSION).tar.xz syncheck
	rpmbuild=$$(mktemp -d -t rpmbuild-dracut.XXXXXX); src=$$(pwd); \
	cp dracut-$(VERSION).tar.xz "$$rpmbuild"; \
	LC_MESSAGES=C $$src/git2spec.pl $(VERSION) "$$rpmbuild" < dracut.spec > $$rpmbuild/dracut.spec; \
	(cd "$$rpmbuild"; \
	wget https://www.gnu.org/licenses/lgpl-2.1.txt; \
	rpmbuild --define "_topdir $$PWD" --define "_sourcedir $$PWD" \
	        --define "_specdir $$PWD" --define "_srcrpmdir $$PWD" \
		--define "_rpmdir $$PWD" -ba dracut.spec; ) && \
	( mv "$$rpmbuild"/$$(arch)/*.rpm $(DESTDIR).; mv "$$rpmbuild"/*.src.rpm $(DESTDIR).;rm -fr -- "$$rpmbuild"; ls $(DESTDIR)*.rpm )

syncheck:
	@ret=0;for i in dracut-initramfs-restore.sh modules.d/*/*.sh; do \
                [ "$${i##*/}" = "module-setup.sh" ] && continue; \
                read line < "$$i"; [ "$${line#*bash*}" != "$$line" ] && continue; \
		[ $$V ] && echo "posix syntax check: $$i"; bash --posix -n "$$i" ; ret=$$(($$ret+$$?)); \
		[ $$V ] && echo "checking for [[: $$i"; if grep -Fq '[[ ' "$$i" ; then ret=$$(($$ret+1)); echo "$$i contains [["; fi; \
		[ $$V ] && echo "checking for echo -n: $$i"; if grep -Fq 'echo -n ' "$$i" ; then ret=$$(($$ret+1)); echo "$$i contains echo -n"; fi \
	done;exit $$ret
	@ret=0;for i in *.sh mkinitrd-dracut.sh modules.d/*/*.sh \
	                modules.d/*/module-setup.sh; do \
		[ $$V ] && echo "bash syntax check: $$i"; bash -n "$$i" ; ret=$$(($$ret+$$?)); \
	done;exit $$ret

check: all syncheck rpm
	@[ "$$EUID" == "0" ] || { echo "'check' must be run as root! Please use 'sudo'."; exit 1; }
	@$(MAKE) -C test check

testimage: all
	./dracut.sh -N -l -a debug -f test-$(shell uname -r).img $(shell uname -r)
	@echo wrote  test-$(shell uname -r).img

debugtestimage: all
	./dracut.sh --debug -l -a debug -f test-$(shell uname -r).img $(shell uname -r)
	@echo wrote  test-$(shell uname -r).img

testimages: all
	./dracut.sh -l -a debug --kernel-only -f test-kernel-$(shell uname -r).img $(shell uname -r)
	@echo wrote  test-$(shell uname -r).img
	./dracut.sh -l -a debug --no-kernel -f test-dracut.img $(shell uname -r)
	@echo wrote  test-dracut.img

debughostimage: all
	./dracut.sh --debug -H -l -f test-$(shell uname -r).img $(shell uname -r)
	@echo wrote  test-$(shell uname -r).img

hostimage: all
	./dracut.sh -H -l -f test-$(shell uname -r).img $(shell uname -r)
	@echo wrote  test-$(shell uname -r).img

efi: all
	./dracut.sh --uefi -H -l -f linux-$(shell uname -r).efi $(shell uname -r)
	@echo wrote linux-$(shell uname -r).efi

AUTHORS:
	git shortlog  --numbered --summary -e |while read a rest || [ -n "$$rest" ]; do echo $$rest;done > AUTHORS

dracut.html.sign: dracut-$(VERSION).tar.xz dracut.html
	gpg-sign-all dracut-$(VERSION).tar.xz dracut.html

upload: dracut.html.sign
	kup put dracut-$(VERSION).tar.xz dracut-$(VERSION).tar.sign /pub/linux/utils/boot/dracut/
	kup put dracut.html dracut.html.sign /pub/linux/utils/boot/dracut/

=== debian/changelog ===
dracut (044+241-3) unstable; urgency=low

  * control: fix Recommends, Closes: #852083

 -- Thomas Lange <lange@debian.org>  Wed, 22 Mar 2017 18:52:25 +0000

dracut (044+241-2) unstable; urgency=low

  * add patch for dkms aufs modules, Closes: #855370

 -- Thomas Lange <lange@debian.org>  Tue, 28 Feb 2017 11:29:58 +0100

dracut (044+241-1) unstable; urgency=low

  * merge upstream changes
  * 09console-setup/module-setup.sh: fix cp, Closes: #828915
  * control: add recommends, Closes: #852083

 -- Thomas Lange <lange@debian.org>  Tue, 24 Jan 2017 14:40:24 +0000

dracut (044+223-1) unstable; urgency=low

  * new upstream
  * control: only depend on asciidoc-base

 -- Thomas Lange <lange@debian.org>  Tue, 17 Jan 2017 16:20:51 +0100

=== debian/control ===
Source: dracut
Section: utils
Priority: optional
Maintainer: Thomas Lange <lange@debian.org>
Build-Depends: debhelper, asciidoc-base, xsltproc, docbook-xsl, docbook-xml, quilt, libkmod-dev
Standards-Version: 3.9.8
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dracut.git
Vcs-Git: git://anonscm.debian.org/collab-maint/dracut.git
Homepage: http://www.kernel.org/pub/linux/utils/boot/dracut/dracut.html

Package: dracut
Architecture: all
Multi-Arch: foreign
Suggests: dracut-network
Depends: dracut-core (>= ${binary:Version}), dracut-core (<< ${binary:Version}+b+~)
Provides: linux-initramfs-tool
Conflicts: initramfs-tools, live-tools
Description: Low-level tool for generating an initramfs image (automation)
 This package builds a bootable initramfs for Linux kernel packages.  The
 initramfs is loaded along with the kernel and is responsible for
 mounting the root filesystem and starting the main init system.

Package: dracut-core
Architecture: any
Multi-Arch: foreign
Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm, console-setup, binutils, systemd
Depends: cpio, kmod, udev, kpartx, util-linux (>= 2.20), pkg-config, libkmod2, ${shlibs:Depends}, ${misc:Depends}
Breaks: dracut-network (<< 043-2), dracut (<< 044+3-2~)
Replaces: dracut-network (<< 043-2), dracut (<< 044+3-2~)
Description: Low-level tool for generating an initramfs image (core tools)
 Unlike existing initramfs's, this is an attempt at having as little as
 possible hard-coded into the initramfs as possible.  The initramfs has
 (basically) one purpose in life -- getting the rootfs mounted so that
 we can transition to the real rootfs.  This is all driven off of
 device availability.  Therefore, instead of scripts hard-coded to do
 various things, we depend on udev to create device nodes for us and
 then when we have the rootfs's device node, we mount and carry on.
 Having the root on MD, LVM2, LUKS is supported as well as NFS, iSCSI,
 NBD and FCOE with dracut-network.

Package: dracut-network
Architecture: all
Recommends: nfs-common, open-iscsi, nbd-client, curl
Depends: dracut-core, iputils-arping, isc-dhcp-client, ${misc:Depends}
Description: Low-level tool for generating an initramfs image (network modules)
 Unlike existing initramfs's, this is an attempt at having as little as
 possible hard-coded into the initramfs as possible.  The initramfs has
 (basically) one purpose in life -- getting the rootfs mounted so that
 we can transition to the real rootfs.  This is all driven off of
 device availability.  Therefore, instead of scripts hard-coded to do
 various things, we depend on udev to create device nodes for us and
 then when we have the rootfs's device node, we mount and carry on.
 Having the root on MD, LVM2, LUKS is supported as well as NFS, iSCSI,
 NBD and FCOE with dracut-network.

Package: dracut-config-generic
Architecture: all
Depends: dracut-core
Description: Low-level tool for generating an initramfs image
 This is the dracut configuration to turn off hostonly image generation

Package: dracut-config-rescue
Architecture: all
Depends: dracut-core
Description: Low-level tool for generating an initramfs image
 This is the dracut configuration to turn on rescue image generation

## dracut 045+132

=== debian/changelog ===
dracut (045+132-1) unstable; urgency=low

  * new upstream version, Closes: #867568, #862845, #743791
  * replace crc32 patch by adding driver to entry in dracut.conf.d
  * add lvmmerge and multipath-hostonly modules
  * make man pages reproducible, Thanks to Jeremy Bobbio for the
    patch, Closes: #783131

 -- Thomas Lange <lange@debian.org>  Fri, 11 Aug 2017 22:05:11 +0200

## dracut 047

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,8 @@
 sysconfdir ?= ${prefix}/etc
 bindir ?= ${prefix}/bin
 mandir ?= ${prefix}/share/man
-CFLAGS ?= -O2 -g -Wall $(KMOD_CFLAGS)
-CFLAGS += -std=gnu99 -D_FILE_OFFSET_BITS=64 -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
+CFLAGS ?= -O2 -g -Wall
+CFLAGS += -std=gnu99 -D_FILE_OFFSET_BITS=64 -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 $(KMOD_CFLAGS)
 bashcompletiondir ?= ${datadir}/bash-completion/completions
 pkgconfigdatadir ?= $(datadir)/pkgconfig
 
@@ -211,7 +211,7 @@
 	rpmbuild --define "_topdir $$PWD" --define "_sourcedir $$PWD" \
 	        --define "_specdir $$PWD" --define "_srcrpmdir $$PWD" \
 		--define "_rpmdir $$PWD" -ba dracut.spec; ) && \
-	( mv "$$rpmbuild"/$$(arch)/*.rpm $(DESTDIR).; mv "$$rpmbuild"/*.src.rpm $(DESTDIR).;rm -fr -- "$$rpmbuild"; ls $(DESTDIR)*.rpm )
+	( mv "$$rpmbuild"/{,$$(arch)/}*.rpm $(DESTDIR).; rm -fr -- "$$rpmbuild"; ls $(DESTDIR)*.rpm )
 
 syncheck:
 	@ret=0;for i in dracut-initramfs-restore.sh modules.d/*/*.sh; do \

=== test/Makefile ===
.PHONY: all check clean

check:
	@[ "$$EUID" == "0" ] || { echo "'check' must be run as root! Please use 'sudo'."; exit 1; }
	@{ ret=0; \
	for i in TEST-[0-9]*; do \
		[ -d $$i ] || continue ; \
		[ -f $$i/Makefile ] || continue ; \
		if [ -n "$$TESTS" ]; then t=$${i##TEST-}; t=$${t%%-*}; [ "$${TESTS#*$$t*}" != "$$TESTS" ] || continue; fi; \
		if [ -n "$$SKIP" ]; then t=$${i##TEST-}; t=$${t%%-*}; [ "$${SKIP#*$$t*}" != "$$SKIP" ] && continue; fi; \
		$(MAKE) -C $$i all ; ret=$$((ret + $$?)); \
	done; exit $$ret; }

clean:
	@for i in TEST-[0-9]*; do \
		[ -d $$i ] || continue ; \
		[ -f $$i/Makefile ] || continue ; \
		$(MAKE) -C $$i clean ; \
	done

all:

=== debian/changelog ===
dracut (047-2) unstable; urgency=low

  * add missing depends, Closes: #890990

 -- Thomas Lange <lange@debian.org>  Wed, 21 Feb 2018 14:55:16 +0100

dracut (047-1) unstable; urgency=low

  * new upstream version
  * control: add depends, Closes: #887202, update Vcs fields,
    update standards version
  * add modules.d/81cio_ignore

 -- Thomas Lange <lange@debian.org>  Wed, 21 Feb 2018 09:49:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Thomas Lange <lange@debian.org>
-Build-Depends: debhelper, asciidoc-base, xsltproc, docbook-xsl, docbook-xml, quilt, libkmod-dev
-Standards-Version: 3.9.8
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dracut.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/dracut.git
+Build-Depends: debhelper, asciidoc-base, xsltproc, docbook-xsl, docbook-xml, quilt, libkmod-dev, pkg-config
+Standards-Version: 4.1.3.0
+Vcs-Browser: https://salsa.debian.org/debian/dracut
+Vcs-Git: https://salsa.debian.org/debian/dracut.git
 Homepage: http://www.kernel.org/pub/linux/utils/boot/dracut/dracut.html
 
 Package: dracut
@@ -24,7 +24,7 @@
 Architecture: any
 Multi-Arch: foreign
 Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm, console-setup, binutils, systemd
-Depends: cpio, kmod, udev, kpartx, util-linux (>= 2.20), pkg-config, libkmod2, ${shlibs:Depends}, ${misc:Depends}
+Depends: cpio, kmod, udev, kpartx, util-linux (>= 2.20), pkg-config, libkmod2, e2fsprogs, ${shlibs:Depends}, ${misc:Depends}
 Breaks: dracut-network (<< 043-2), dracut (<< 044+3-2~)
 Replaces: dracut-network (<< 043-2), dracut (<< 044+3-2~)
 Description: Low-level tool for generating an initramfs image (core tools)

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --with quilt

override_dh_auto_configure:
	dh_auto_configure -- --systemdsystemunitdir=/lib/systemd/system --libdir=/usr/lib
	debian/fix-revdate

override_dh_fixperms-arch:
	dh_fixperms
	find debian/ -name "*.sh" | grep modules.d | xargs chmod 755

override_dh_fixperms-indep:
	dh_fixperms
	find debian/ -name "*.sh" | grep modules.d | xargs chmod 755

override_dh_auto_test:

override_dh_clean:
	dh_clean dracut.pc Makefile.inc dracut-version.sh

## dracut 047+31

=== debian/changelog ===
dracut (047+31-2) unstable; urgency=low

  [ Helmut Grohne ]
  * Fix FTCBFS: Let buildtools.mk export PKG_CONFIG etc. Closes: #901173

  [ Thomas Lange ]
  * add patch for adding crc32c when using ext3

 -- Thomas Lange <lange@debian.org>  Tue, 12 Jun 2018 13:29:28 +0200

dracut (047+31-1) unstable; urgency=medium

  * new upstream version
  * add patch for early microcode loading, Closes: #875297
  * rules: remove quilt option
  * control: update standards version, no changes
  * 10-debian.conf: crc32c modules not needed any more
  * add dracut.pc to debian-core, Closes: #880984

 -- Thomas Lange <lange@debian.org>  Thu, 17 May 2018 17:44:36 +0200

## dracut 048+80

=== debian/changelog ===
dracut (048+80-2) unstable; urgency=medium

  * fix bashism in several scripts, Closes: #772260
  * add patch to workaround changes in bash-5 while fsck'ing,
    Closes: #920563

 -- Thomas Lange <lange@debian.org>  Tue, 07 May 2019 13:11:11 +0200

dracut (048+80-1) unstable; urgency=low

  * new upstream
  * fix duplicate copy of README.Debian: Closes: #905281
  * 10-debian.conf: remove prelink option
  * remove 02fips-aesni, 90multipath-hostonly
  * new standards version

 -- Thomas Lange <lange@debian.org>  Fri, 24 Aug 2018 14:29:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Thomas Lange <lange@debian.org>
 Build-Depends: debhelper, asciidoc-base, xsltproc, docbook-xsl, docbook-xml, quilt, libkmod-dev, pkg-config
-Standards-Version: 4.1.3.0
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/debian/dracut
 Vcs-Git: https://salsa.debian.org/debian/dracut.git
 Homepage: http://www.kernel.org/pub/linux/utils/boot/dracut/dracut.html
@@ -15,7 +15,7 @@
 Depends: dracut-core (>= ${binary:Version}), dracut-core (<< ${binary:Version}+b+~)
 Provides: linux-initramfs-tool
 Conflicts: initramfs-tools, live-tools
-Description: Low-level tool for generating an initramfs image (automation)
+Description: dracut is an event driven initramfs infrastructure
  This package builds a bootable initramfs for Linux kernel packages.  The
  initramfs is loaded along with the kernel and is responsible for
  mounting the root filesystem and starting the main init system.
@@ -27,7 +27,7 @@
 Depends: cpio, kmod, udev, kpartx, util-linux (>= 2.20), pkg-config, libkmod2, e2fsprogs, ${shlibs:Depends}, ${misc:Depends}
 Breaks: dracut-network (<< 043-2), dracut (<< 044+3-2~)
 Replaces: dracut-network (<< 043-2), dracut (<< 044+3-2~)
-Description: Low-level tool for generating an initramfs image (core tools)
+Description: dracut is an event driven initramfs infrastructure (core tools)
  Unlike existing initramfs's, this is an attempt at having as little as
  possible hard-coded into the initramfs as possible.  The initramfs has
  (basically) one purpose in life -- getting the rootfs mounted so that
@@ -42,7 +42,7 @@
 Architecture: all
 Recommends: nfs-common, open-iscsi, nbd-client, curl
 Depends: dracut-core, iputils-arping, isc-dhcp-client, ${misc:Depends}
-Description: Low-level tool for generating an initramfs image (network modules)
+Description: dracut is an event driven initramfs infrastructure (network modules)
  Unlike existing initramfs's, this is an attempt at having as little as
  possible hard-coded into the initramfs as possible.  The initramfs has
  (basically) one purpose in life -- getting the rootfs mounted so that
@@ -56,11 +56,11 @@
 Package: dracut-config-generic
 Architecture: all
 Depends: dracut-core
-Description: Low-level tool for generating an initramfs image
+Description: dracut is an event driven initramfs infrastructure
  This is the dracut configuration to turn off hostonly image generation
 
 Package: dracut-config-rescue
 Architecture: all
 Depends: dracut-core
-Description: Low-level tool for generating an initramfs image
+Description: dracut is an event driven initramfs infrastructure
  This is the dracut configuration to turn on rescue image generation

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,11 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
+DPKG_EXPORT_BUILDTOOLS=1
+-include /usr/share/dpkg/buildtools.mk
 
 %:
-	dh $@ --with quilt
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --systemdsystemunitdir=/lib/systemd/system --libdir=/usr/lib

## dracut 050+65

=== debian/changelog ===
dracut (050+65-1) unstable; urgency=medium

  * control: add breaks and replaces, Closes: #959852
  * merge upstream changes, Closes: #963989
  * add module nvmf

 -- Thomas Lange <lange@debian.org>  Wed, 01 Jul 2020 12:13:36 +0200

dracut (050+35-4) unstable; urgency=high

  * add git tag, so dracut shows correct version

 -- Thomas Lange <lange@debian.org>  Wed, 22 Apr 2020 22:43:28 +0200

dracut (050+35-3) unstable; urgency=high

  * fix microcode loading, Closes: #958191

 -- Thomas Lange <lange@debian.org>  Wed, 22 Apr 2020 22:09:22 +0200

dracut (050+35-2) unstable; urgency=low

  * source only upload needed, after 050+35-1 went through new queue

 -- Thomas Lange <lange@debian.org>  Thu, 16 Apr 2020 10:55:04 +0200

dracut (050+35-1) unstable; urgency=low

  * new upstream
  * debian/copyright: fix entries, Closes: #956288

 -- Thomas Lange <lange@debian.org>  Fri, 10 Apr 2020 21:57:03 +0200

dracut (050+31-1) unstable; urgency=low

  * new upstream: Closes: #954019
  * add module 90nvdimm

 -- Thomas Lange <lange@debian.org>  Thu, 19 Mar 2020 23:01:22 +0100

dracut (050-1) unstable; urgency=low

  [ Thomas Lange ]
  * new upstream version, Closes: #948135, #945596, #952820
  * additional packages dracut-live and dracut-squash were added by
    upstream
  * fix dpkg triggers, Closes: #720081
  * kernel/postinst.d/dracut: avoid running multiple times
  * update standards version
  * control: use debhelper-compat, upgrade to 12
  * add patch systemd-vconsole-setup.service
  * remove 90aufs, only supported until 3.X
  * add dracut module 06rngd
  * add README.cross, rename README -> README.md
  * add mkinitrd script

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

 -- Thomas Lange <lange@debian.org>  Fri, 06 Mar 2020 13:30:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Thomas Lange <lange@debian.org>
-Build-Depends: debhelper, asciidoc-base, xsltproc, docbook-xsl, docbook-xml, quilt, libkmod-dev, pkg-config
-Standards-Version: 4.2.0
+Build-Depends: debhelper-compat (= 12), debhelper, asciidoc-base, xsltproc, docbook-xsl, docbook-xml, quilt, libkmod-dev, pkg-config
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/dracut
 Vcs-Git: https://salsa.debian.org/debian/dracut.git
 Homepage: http://www.kernel.org/pub/linux/utils/boot/dracut/dracut.html
@@ -15,7 +15,7 @@
 Depends: dracut-core (>= ${binary:Version}), dracut-core (<< ${binary:Version}+b+~)
 Provides: linux-initramfs-tool
 Conflicts: initramfs-tools, live-tools
-Description: dracut is an event driven initramfs infrastructure
+Description: Initramfs generator using udev
  This package builds a bootable initramfs for Linux kernel packages.  The
  initramfs is loaded along with the kernel and is responsible for
  mounting the root filesystem and starting the main init system.
@@ -23,8 +23,8 @@
 Package: dracut-core
 Architecture: any
 Multi-Arch: foreign
-Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm, console-setup, binutils, systemd
-Depends: cpio, kmod, udev, kpartx, util-linux (>= 2.20), pkg-config, libkmod2, e2fsprogs, ${shlibs:Depends}, ${misc:Depends}
+Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm, console-setup, binutils, systemd, pigz
+Depends: bash (>= 4), cpio, kmod, udev, kpartx, util-linux (>= 2.20), pkg-config, libkmod2, e2fsprogs, ${shlibs:Depends}, ${misc:Depends}
 Breaks: dracut-network (<< 043-2), dracut (<< 044+3-2~)
 Replaces: dracut-network (<< 043-2), dracut (<< 044+3-2~)
 Description: dracut is an event driven initramfs infrastructure (core tools)
@@ -53,6 +53,29 @@
  Having the root on MD, LVM2, LUKS is supported as well as NFS, iSCSI,
  NBD and FCOE with dracut-network.
 
+Package: dracut-squash
+Architecture: all
+Depends: dracut-core, squashfs-tools, ${misc:Depends}
+Breaks: dracut-core (<< 050-1)
+Replaces: dracut-core (<< 050-1)
+Description: dracut is an event driven initramfs infrastructure (squashfs modules)
+ Package to build an initramfs with most files in a squashfs image.
+ .
+ This package provides a dracut module to build an initramfs, but
+ store most files in a squashfs image, result in a smaller initramfs
+ size and reduce runtime memory usage.
+
+Package: dracut-live
+Architecture: all
+Depends: dracut-network, curl, dmsetup, ${misc:Depends}
+Breaks: dracut-network (<< 050-1), dracut-core (<< 050-1)
+Replaces: dracut-network (<< 050-1), dracut-core (<< 050-1)
+Description: dracut is an event driven initramfs infrastructure (live image modules)
+ Package to build a dracut initramfs with live image capabilities.
+ .
+ This package requires everything which is needed to build an
+ initramfs with dracut, with live image capabilities, like Live CDs.
+
 Package: dracut-config-generic
 Architecture: all
 Depends: dracut-core

## dracut 051

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,13 @@
 -include dracut-version.sh
 
-VERSION ?= $(shell [ -d .git ] && git describe --abbrev=0 --tags 2>/dev/null || echo $(DRACUT_VERSION))
-GITVERSION ?= $(shell [ -d .git ] && { v=$$(git describe --tags 2>/dev/null); [ -n "$$v" ] && [ $${v\#*-} != $$v ] && echo -$${v\#*-}; } )
+DRACUT_MAIN_VERSION ?= $(shell env GIT_CEILING_DIRECTORIES=$(CWD)/.. git describe --abbrev=0 --tags --always 2>/dev/null || :)
+ifeq ($(DRACUT_MAIN_VERSION),)
+DRACUT_MAIN_VERSION = $(DRACUT_VERSION)
+endif
+DRACUT_FULL_VERSION ?= $(shell env GIT_CEILING_DIRECTORIES=$(CWD)/.. git describe --tags --always 2>/dev/null || :)
+ifeq ($(DRACUT_FULL_VERSION),)
+DRACUT_FULL_VERSION = $(DRACUT_VERSION)
+endif
 
 -include Makefile.inc
 
@@ -12,8 +18,7 @@
 sysconfdir ?= ${prefix}/etc
 bindir ?= ${prefix}/bin
 mandir ?= ${prefix}/share/man
-CFLAGS ?= -O2 -g -Wall
-CFLAGS += -std=gnu99 -D_FILE_OFFSET_BITS=64 -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 $(KMOD_CFLAGS)
+CFLAGS ?= -O2 -g -Wall -std=gnu99 -D_FILE_OFFSET_BITS=64 -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
 bashcompletiondir ?= ${datadir}/bash-completion/completions
 pkgconfigdatadir ?= $(datadir)/pkgconfig
 
@@ -40,9 +45,12 @@
 
 manpages = $(man1pages) $(man5pages) $(man7pages) $(man8pages)
 
-.PHONY: install clean archive rpm testimage test all check AUTHORS doc dracut-version.sh
+.PHONY: install clean archive rpm srpm testimage test all check AUTHORS doc dracut-version.sh
 
 all: dracut-version.sh dracut.pc dracut-install skipcpio/skipcpio
+
+%.o : %.c
+	$(CC) -c $(CFLAGS) $(CPPFLAGS) $(KMOD_CFLAGS) $< -o $@
 
 DRACUT_INSTALL_OBJECTS = \
         install/dracut-install.o \
@@ -61,7 +69,10 @@
 install/strv.o: install/strv.c install/strv.h install/util.h install/macro.h install/log.h
 
 install/dracut-install: $(DRACUT_INSTALL_OBJECTS)
-	$(CC) $(LDFLAGS) -o $@ $(DRACUT_INSTALL_OBJECTS) $(LDLIBS) $(KMOD_LIBS)
+	$(CC) $(LDFLAGS) -o $@ $(DRACUT_INSTALL_OBJECTS) $(LDLIBS) $(FTS_LIBS) $(KMOD_LIBS)
+
+logtee: logtee.c
+	$(CC) $(LDFLAGS) -o $@ $<
 
 dracut-install: install/dracut-install
 	ln -fs $< $@
@@ -88,13 +99,16 @@
 
 %.xml: %.asc
 	@rm -f -- "$@"
-	asciidoc -d manpage -b docbook -o "$@" $<
+	asciidoc -a "version=$(DRACUT_FULL_VERSION)" -d manpage -b docbook -o "$@" $<
 
 dracut.8: dracut.usage.asc dracut.8.asc
 
 dracut.html: dracut.asc $(manpages) dracut.css dracut.usage.asc
 	@rm -f -- dracut.xml
-	asciidoc -a numbered -d book -b docbook -o dracut.xml dracut.asc
+	asciidoc -a "mainversion=$(DRACUT_MAIN_VERSION)" \
+		-a "version=$(DRACUT_FULL_VERSION)" \
+		-a numbered \
+		-d book -b docbook -o dracut.xml dracut.asc
 	@rm -f -- dracut.html
 	xsltproc -o dracut.html --xinclude -nonet \
 		--stringparam custom.css.source dracut.css \
@@ -105,7 +119,7 @@
 dracut.pc: Makefile.inc Makefile
 	@echo "Name: dracut" > dracut.pc
 	@echo "Description: dracut" >> dracut.pc
-	@echo "Version: $(VERSION)$(GITVERSION)" >> dracut.pc
+	@echo "Version: $(DRACUT_FULL_VERSION)" >> dracut.pc
 	@echo "dracutdir=$(pkglibdir)" >> dracut.pc
 	@echo "dracutmodulesdir=$(pkglibdir)/modules.d" >> dracut.pc
 	@echo "dracutconfdir=$(pkglibdir)/dracut.conf.d" >> dracut.pc
@@ -175,7 +189,7 @@
 
 dracut-version.sh:
 	@rm -f dracut-version.sh
-	@echo "DRACUT_VERSION=$(VERSION)$(GITVERSION)" > dracut-version.sh
+	@echo "DRACUT_VERSION=$(DRACUT_FULL_VERSION)" > dracut-version.sh
 
 clean:
 	$(RM) *~
@@ -190,28 +204,39 @@
 	$(RM) $(manpages) dracut.html
 	$(MAKE) -C test clean
 
-dist: dracut-$(VERSION).tar.xz
-
-dracut-$(VERSION).tar.xz: doc syncheck
-	@echo "DRACUT_VERSION=$(VERSION)" > dracut-version.sh
-	git archive --format=tar $(VERSION) --prefix=dracut-$(VERSION)/ > dracut-$(VERSION).tar
-	mkdir -p dracut-$(VERSION)
-	for i in $(manpages) dracut.html dracut-version.sh; do [ "$${i%/*}" != "$$i" ] && mkdir -p "dracut-$(VERSION)/$${i%/*}"; cp "$$i" "dracut-$(VERSION)/$$i"; done
-	tar --owner=root --group=root -rf dracut-$(VERSION).tar $$(find dracut-$(VERSION) -type f)
-	rm -fr -- dracut-$(VERSION).tar.xz dracut-$(VERSION)
-	xz -9 dracut-$(VERSION).tar
-	rm -f -- dracut-$(VERSION).tar
-
-rpm: dracut-$(VERSION).tar.xz syncheck
-	rpmbuild=$$(mktemp -d -t rpmbuild-dracut.XXXXXX); src=$$(pwd); \
-	cp dracut-$(VERSION).tar.xz "$$rpmbuild"; \
-	LC_MESSAGES=C $$src/git2spec.pl $(VERSION) "$$rpmbuild" < dracut.spec > $$rpmbuild/dracut.spec; \
+dist: dracut-$(DRACUT_MAIN_VERSION).tar.xz
+
+dracut-$(DRACUT_MAIN_VERSION).tar.xz: doc syncheck
+	@echo "DRACUT_VERSION=$(DRACUT_MAIN_VERSION)" > dracut-version.sh
+	git archive --format=tar $(DRACUT_MAIN_VERSION) --prefix=dracut-$(DRACUT_MAIN_VERSION)/ > dracut-$(DRACUT_MAIN_VERSION).tar
+	mkdir -p dracut-$(DRACUT_MAIN_VERSION)
+	for i in $(manpages) dracut.html dracut-version.sh; do [ "$${i%/*}" != "$$i" ] && mkdir -p "dracut-$(DRACUT_MAIN_VERSION)/$${i%/*}"; cp "$$i" "dracut-$(DRACUT_MAIN_VERSION)/$$i"; done
+	tar --owner=root --group=root -rf dracut-$(DRACUT_MAIN_VERSION).tar $$(find dracut-$(DRACUT_MAIN_VERSION) -type f)
+	rm -fr -- dracut-$(DRACUT_MAIN_VERSION).tar.xz dracut-$(DRACUT_MAIN_VERSION)
+	xz -9 dracut-$(DRACUT_MAIN_VERSION).tar
+	rm -f -- dracut-$(DRACUT_MAIN_VERSION).tar
+
+rpm: dracut-$(DRACUT_MAIN_VERSION).tar.xz syncheck
+	rpmbuild=$$(mktemp -d -p /var/tmp rpmbuild-dracut.XXXXXX); src=$$(pwd); \
+	cp dracut-$(DRACUT_MAIN_VERSION).tar.xz "$$rpmbuild"; \
+	LC_MESSAGES=C $$src/git2spec.pl $(DRACUT_MAIN_VERSION) "$$rpmbuild" < dracut.spec > $$rpmbuild/dracut.spec; \
 	(cd "$$rpmbuild"; \
 	wget https://www.gnu.org/licenses/lgpl-2.1.txt; \
 	rpmbuild --define "_topdir $$PWD" --define "_sourcedir $$PWD" \
 	        --define "_specdir $$PWD" --define "_srcrpmdir $$PWD" \
 		--define "_rpmdir $$PWD" -ba dracut.spec; ) && \
-	( mv "$$rpmbuild"/{,$$(arch)/}*.rpm $(DESTDIR).; rm -fr -- "$$rpmbuild"; ls $(DESTDIR)*.rpm )
+	( mv "$$rpmbuild"/{,$$(uname -m)/}*.rpm $(DESTDIR).; rm -fr -- "$$rpmbuild"; ls $(DESTDIR)*.rpm )
+
+srpm: dracut-$(DRACUT_MAIN_VERSION).tar.xz syncheck
+	rpmbuild=$$(mktemp -d -t rpmbuild-dracut.XXXXXX); src=$$(pwd); \
+	cp dracut-$(DRACUT_MAIN_VERSION).tar.xz "$$rpmbuild"; \
+	LC_MESSAGES=C $$src/git2spec.pl $(DRACUT_MAIN_VERSION) "$$rpmbuild" < dracut.spec > $$rpmbuild/dracut.spec; \
+	(cd "$$rpmbuild"; \
+	[ -f $$src/lgpl-2.1.txt ] && cp $$src/lgpl-2.1.txt . || wget https://www.gnu.org/licenses/lgpl-2.1.txt; \
+	rpmbuild --define "_topdir $$PWD" --define "_sourcedir $$PWD" \
+	        --define "_specdir $$PWD" --define "_srcrpmdir $$PWD" \
+		--define "_rpmdir $$PWD" -bs dracut.spec; ) && \
+	( mv "$$rpmbuild"/*.src.rpm $(DESTDIR).; rm -fr -- "$$rpmbuild"; ls $(DESTDIR)*.rpm )
 
 syncheck:
 	@ret=0;for i in dracut-initramfs-restore.sh modules.d/*/*.sh; do \
@@ -253,15 +278,3 @@
 	@echo wrote  test-$(shell uname -r).img
 
 efi: all
-	./dracut.sh --uefi -H -l -f linux-$(shell uname -r).efi $(shell uname -r)
-	@echo wrote linux-$(shell uname -r).efi
-
-AUTHORS:
-	git shortlog  --numbered --summary -e |while read a rest || [ -n "$$rest" ]; do echo $$rest;done > AUTHORS
-
-dracut.html.sign: dracut-$(VERSION).tar.xz dracut.html
-	gpg-sign-all dracut-$(VERSION).tar.xz dracut.html
-
-upload: dracut.html.sign
-	kup put dracut-$(VERSION).tar.xz dracut-$(VERSION).tar.sign /pub/linux/utils/boot/dracut/
-	kup put dracut.html dracut.html.sign /pub/linux/utils/boot/dracut/

=== test/Makefile ===
.PHONY: all check clean $(wildcard TEST-??-*)

$(wildcard TEST-??-*):
	@[ "$$EUID" == "0" ] || { echo "'check' must be run as root! Please use 'sudo'."; exit 1; }
	@{ \
		[ -d $@ ] || exit 0; \
		[ -f $@/Makefile ] || exit 0; \
		if [ -n "$$TESTS" ]; then t=$${$@##TEST-}; t=$${t%%-*}; [ "$${TESTS#*$$t*}" != "$$TESTS" ] || exit 0; fi; \
		if [ -n "$$SKIP" ]; then t=$${$@##TEST-}; t=$${t%%-*}; [ "$${SKIP#*$$t*}" != "$$SKIP" ] && exit 0; fi; \
		$(MAKE) -C $@ all ; \
	}

check: $(wildcard TEST-??-*)

clean:
	@for i in TEST-[0-9]*; do \
		[ -d $$i ] || continue ; \
		[ -f $$i/Makefile ] || continue ; \
		$(MAKE) -C $$i clean ; \
	done

all:

=== test/TEST-21-NFS-NM/Makefile ===
.PHONY: all setup clean run

BASETEST=../TEST-20-NFS

all:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) all
setup:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) setup
clean:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) clean
run:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) run

=== test/TEST-31-ISCSI-NM/Makefile ===
.PHONY: all setup clean run

BASETEST=../TEST-30-ISCSI

all:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) all
setup:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) setup
clean:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) clean
run:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) run

=== test/TEST-36-ISCSI-MULTI-NM/Makefile ===
.PHONY: all setup clean run

BASETEST=../TEST-35-ISCSI-MULTI

all:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) all
setup:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) setup
clean:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) clean
run:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) run

=== test/TEST-41-NBD-NM/Makefile ===
.PHONY: all setup clean run

BASETEST=../TEST-40-NBD

all:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) all
setup:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) setup
clean:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) clean
run:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) run

=== test/TEST-51-MULTINIC-NM/Makefile ===
.PHONY: all setup clean run

BASETEST=../TEST-50-MULTINIC

all:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) all
setup:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) setup
clean:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) clean
run:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) run

=== test/TEST-61-BONDBRIDGEVLANIFCFG-NM/Makefile ===
.PHONY: all setup clean run

BASETEST=../TEST-60-BONDBRIDGEVLANIFCFG

all:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) all
setup:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) setup
clean:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) clean
run:
	@$(MAKE) NM=1 -s --no-print-directory -C $(BASETEST) run

=== debian/changelog ===
dracut (051-1) unstable; urgency=low

  * new upstream version
  * control: change description, Closes: #967923
  * source/options: add pattern for files to ignore by dpkg-source
  * fix-revdate: update modification dates

  [ Antonio Russo ]
  * Patch occurrences of /boot/initramfs to /boot/initrd to match Debian
    default names, Closes: #972809

 -- Thomas Lange <lange@debian.org>  Tue, 15 Dec 2020 16:23:33 +0100

=== debian/control ===
--- 
+++ 
@@ -43,15 +43,8 @@
 Recommends: nfs-common, open-iscsi, nbd-client, curl
 Depends: dracut-core, iputils-arping, isc-dhcp-client, ${misc:Depends}
 Description: dracut is an event driven initramfs infrastructure (network modules)
- Unlike existing initramfs's, this is an attempt at having as little as
- possible hard-coded into the initramfs as possible.  The initramfs has
- (basically) one purpose in life -- getting the rootfs mounted so that
- we can transition to the real rootfs.  This is all driven off of
- device availability.  Therefore, instead of scripts hard-coded to do
- various things, we depend on udev to create device nodes for us and
- then when we have the rootfs's device node, we mount and carry on.
- Having the root on MD, LVM2, LUKS is supported as well as NFS, iSCSI,
- NBD and FCOE with dracut-network.
+ Package to build a dracut initramfs with network support. This
+ includes dracut modules for NFS, CIFS, iSCSI, HTTP, NBD, FCP and FCOE.
 
 Package: dracut-squash
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,11 @@
 override_dh_fixperms-indep:
 	dh_fixperms
 	find debian/ -name "*.sh" | grep modules.d | xargs chmod 755
+	rm -f debian/*/usr/lib/dracut/modules.d/98dracut-systemd/*.asc
+	rm -f debian/*/usr/lib/dracut/modules.d/98dracut-systemd/*.8
 
 override_dh_auto_test:
 
 override_dh_clean:
 	dh_clean dracut.pc Makefile.inc dracut-version.sh
+	git st|grep modified: | awk '/.asc/ {print $$2}' | xargs -r git checkout

=== debian/watch ===
#
#  Watchfile for rinse.
#
#
#  uscan version number - not the version of the software.
#
version=3


#
#  The link to the download location, followed by the regular expression
# to match release tarballs.
#
http://www.kernel.org/pub/linux/utils/boot/dracut/dracut-([\d]+)\.(?:tar\.xz|tar\.bz2|tar\.gz)

## dracut 056

=== debian/changelog ===
dracut (056-3) unstable; urgency=low

  * new upstream, Closes: #991918
  * control: Remove unnecessary constraints, demote pkg-config to
    Recommends, Closes: #991920
  * set Debian version in dracut-version.sh, Closes: #987320
  * 90overlay-root/module-setup.sh: fix loading overlayfs kernel module

 -- Thomas Lange <lange@debian.org>  Tue, 24 May 2022 21:29:13 +0200

dracut (056-2) experimental; urgency=low

  * Team upload.
  * Fix conflict between dracut-{core,live,network} after failed amendment
    of modules list

 -- Dominik George <natureshadow@debian.org>  Wed, 11 May 2022 12:39:03 +0200

dracut (056-1) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Refresh patches for dracut 056
  * Update d/copyright
    + Accounted for moved source files
    + Accounted for source files written by authors not mentioned yet
    + Accounted for a vendored Rust module (crosvm).
  * Install all modules
  * Install dracut-util

 -- Dominik George <natureshadow@debian.org>  Tue, 10 May 2022 16:53:52 +0200

dracut (055-1) experimental; urgency=low

  [ Dominik George ]
  * Team upload.
  * New upstream version (Closes: #991918)

  [ Andre Russ ]
  * Refresh patches for dracut 055
    + systemd needs more users in Debian
    + crc32c patch was applied upstream
    + several minor changes
  * Update installed files
    + Several docs were moved upstream
    + mkinitrd was removed

 -- Dominik George <natureshadow@debian.org>  Fri, 06 Aug 2021 11:36:31 +0200

=== debian/control ===
--- 
+++ 
@@ -23,10 +23,8 @@
 Package: dracut-core
 Architecture: any
 Multi-Arch: foreign
-Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm, console-setup, binutils, systemd, pigz
-Depends: bash (>= 4), cpio, kmod, udev, kpartx, util-linux (>= 2.20), pkg-config, libkmod2, e2fsprogs, ${shlibs:Depends}, ${misc:Depends}
-Breaks: dracut-network (<< 043-2), dracut (<< 044+3-2~)
-Replaces: dracut-network (<< 043-2), dracut (<< 044+3-2~)
+Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm, console-setup, binutils, systemd, pigz, pkg-config
+Depends: cpio, kmod, udev, kpartx, libkmod2, e2fsprogs, ${shlibs:Depends}, ${misc:Depends}
 Description: dracut is an event driven initramfs infrastructure (core tools)
  Unlike existing initramfs's, this is an attempt at having as little as
  possible hard-coded into the initramfs as possible.  The initramfs has

## dracut 057+157

=== debian/changelog ===
dracut (057+157-3) unstable; urgency=low

  * control: add breaks and replaces, Closes: #1024435

 -- Thomas Lange <lange@debian.org>  Sun, 20 Nov 2022 08:56:26 +0100

dracut (057+157-2) unstable; urgency=low

  * remove duplicate virtfs module, Closes: #1024390

 -- Thomas Lange <lange@debian.org>  Fri, 18 Nov 2022 20:54:29 +0100

dracut (057+157-1) unstable; urgency=low

  * new upstream: Closes: #1023239, #1015922, #1016051, #1017411
  * update initrd-not-initramfs.patch Closes: #1021229
  * add patch for missing libz, Closes: #1016727
  * add patch for Debian path in 35network-manager, Closes: #1016741

 -- Thomas Lange <lange@debian.org>  Thu, 17 Nov 2022 21:48:24 +0100

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,8 @@
 Multi-Arch: foreign
 Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm, console-setup, binutils, systemd, pigz, pkg-config
 Depends: cpio, kmod, udev, kpartx, libkmod2, e2fsprogs, ${shlibs:Depends}, ${misc:Depends}
+Breaks: dracut-network (<< 057+157-2)
+Replaces: dracut-network (<< 057+157-2)
 Description: dracut is an event driven initramfs infrastructure (core tools)
  Unlike existing initramfs's, this is an attempt at having as little as
  possible hard-coded into the initramfs as possible.  The initramfs has
@@ -70,11 +72,13 @@
 Package: dracut-config-generic
 Architecture: all
 Depends: dracut-core
+Multi-Arch: foreign
 Description: dracut is an event driven initramfs infrastructure
  This is the dracut configuration to turn off hostonly image generation
 
 Package: dracut-config-rescue
 Architecture: all
 Depends: dracut-core
+Multi-Arch: foreign
 Description: dracut is an event driven initramfs infrastructure
  This is the dracut configuration to turn on rescue image generation

=== debian/rules ===
--- 
+++ 
@@ -24,5 +24,5 @@
 override_dh_auto_test:
 
 override_dh_clean:
-	dh_clean dracut.pc Makefile.inc dracut-version.sh
-	git st|grep modified: | awk '/.asc/ {print $$2}' | xargs -r git checkout
+	dh_clean dracut.pc Makefile.inc dracut-version.sh src/skipcpio/skipcpio src/util/util
+	git status|grep modified: | awk '/.asc/ {print $$2}' | xargs -r git checkout
